%define upstream_name    Data-Dumper
%define upstream_version 2.154

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Convert data structure into perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl-devel
%description
Given a list of scalars or reference variables, writes out their contents
in perl syntax. The references can also be objects. The content of each
variable is output in a single Perl statement. Handles self-referential
structures correctly.

The return value can be 'eval'ed to get back an identical copy of the
original reference structure.

Any references that are the same as one of those passed in will be named
'$VAR'_n_ (where _n_ is a numeric suffix), and other duplicate references
to substructures within '$VAR'_n_ will be appropriately labeled using arrow
notation. You can specify names for individual values to be dumped if you
use the 'Dump()' method, or you can change the default '$VAR' prefix to
something else. See '$Data::Dumper::Varname' and '$Data::Dumper::Terse'
below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.154.0-7.mga6
+ Revision: 1024797
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.154.0-6.mga6
+ Revision: 957056
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.154.0-5.mga6
+ Revision: 844771
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 2.154.0-4.mga6
+ Revision: 842445
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 2.154.0-3.mga5
+ Revision: 790011
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.154.0-2.mga5
+ Revision: 751164
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 jquelin <jquelin> 2.154.0-1.mga5
+ Revision: 735133
- update to 2.154

* Tue Sep 16 2014 umeabot <umeabot> 2.151.0-3.mga5
+ Revision: 684196
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.151.0-2.mga5
+ Revision: 631042
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 2.151.0-1.mga5
+ Revision: 602786
- update to 2.151

* Sat Oct 19 2013 umeabot <umeabot> 2.145.0-2.mga4
+ Revision: 526247
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2.145.0-1.mga4
+ Revision: 436395
- update to 2.145

* Wed May 29 2013 jquelin <jquelin> 2.139.0-4.mga4
+ Revision: 430625
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 2.139.0-3.mga3
+ Revision: 405467
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.139.0-2.mga3
+ Revision: 365296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.139.0-1.mga3
+ Revision: 341863
- update to 2.139

* Wed Nov 07 2012 jquelin <jquelin> 2.136.0-2.mga3
+ Revision: 315496
- perl 5.16.2 rebuild

* Mon Oct 15 2012 jquelin <jquelin> 2.136.0-1.mga3
+ Revision: 306051
- update to 2.136

* Wed May 30 2012 jquelin <jquelin> 2.131.0-4.mga3
+ Revision: 250458
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 2.131.0-3.mga2
+ Revision: 162797
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.131.0-2.mga2
+ Revision: 112045
- perl 5.14 rebuild

* Sun Jun 12 2011 ahmad <ahmad> 2.131.0-1.mga2
+ Revision: 104362
- Update to 2.131

  + sander85 <sander85>
    - perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.128.0-3.mga1
+ Revision: 53578
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.128.0-2.mga1
+ Revision: 32741
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.128.0-1.mga1
+ Revision: 30069
- mageia rebuild
- imported package perl-Data-Dumper

